Skip to main content
POST
Search workspace members
To search workspace members, use this API with the filters in the request body. While this request returns the same results as List workspace members, but it keeps email addresses out of URLs and logs. You can filter by status, role, email addresses, externalId, and updatedSince. You must send either status or statuses, but not both. This API request needs the workspace.members.read scope. Set include to projects to return each member’s project memberships. Results are paginated with a cursor. Pass nextCursor from the response as cursor in the next request.

Authorizations

X-API-Key
string
header
required

Platform key, for example abl_ws_….

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
status
enum<string>[]
Maximum array length: 6
Available options:
active,
pending,
expired,
suspended,
deactivated,
locked
statuses
enum<string>[]
Maximum array length: 6
Available options:
active,
pending,
expired,
suspended,
deactivated,
locked
roleId
string
Required string length: 1 - 256
emails
string<email>[]
Maximum array length: 50
Maximum string length: 254
externalId
string
Maximum string length: 256
updatedSince
string<date-time>
include
enum<string>
Available options:
projects
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string
Maximum string length: 2048

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required